menu
#10625280 Type of DaPigGuy\PiggyFactions\commands\FactionCommand::$plugin must be pocketmine\plugin\Plugin (as in class DaPigGuy\PiggyFactions\libs\CortexPE\Commando\BaseCommand)

Submitted by PocketMine-MP 5.13.0

General information

Version: 5.13.0
Git commit: f193a990
Plugin involvement: Direct
Report date: 2024-04-03 05:39:33 +0000 UTC
Server uptime: 0 days 0 hours 0 minutes 0 seconds

System Information

PHP version: 8.2.13
JIT status: Not available
Operating system: linux
System banner: Linux b4f7ae84-d189-4ee7-8895-b9811f2b8ff3 5.15.0-100-generic #110-Ubuntu SMP Wed Feb 7 13:27:48 UTC 2024 x86_64

Error information

Warning: the PiggyFactions plugin was directly involved in this crash. Please contact the plugin author.
Thread: Main
Message: Type of DaPigGuy\PiggyFactions\commands\FactionCommand::$plugin must be pocketmine\plugin\Plugin (as in class DaPigGuy\PiggyFactions\libs\CortexPE\Commando\BaseCommand)
File: plugins/PiggyFaction/src/DaPigGuy/PiggyFactions/commands/FactionCommand
Line: #0
Type: E_COMPILE_ERROR
1
2
3
4
5
6
7
8
9
10
<?php

declare(strict_types=1);

namespace DaPigGuy\PiggyFactions\commands;

use DaPigGuy\PiggyFactions\libs\CortexPE\Commando\BaseCommand;
use DaPigGuy\PiggyFactions\libs\CortexPE\Commando\BaseSubCommand;
use DaPigGuy\PiggyFactions\commands\subcommands\admin\AddPowerSubCommand;
use DaPigGuy\PiggyFactions\commands\subcommands\admin\AdminSubCommand;

Loaded Plugins

  • Show

Server Settings

  • Show

Installed Composer Dependencies

Installed PHP Extensions

  • Show